Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class AbstractWsSecurityHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

Direct Known Subclasses:
  CertificateCallback, SAMLHolderOfKeyHandler, SAMLHolderOfKeyHandler, SAMLSenderVouchesHandler

    public abstract class AbstractWsSecurityHandler

extends AbstractSOAPHandler

Abstract class containing a Wizard that facilitates the creation of a Security Header.

Nested Class Summary
`static class` | `AbstractWsSecurityHandler.SignedParts`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
`static interface` | `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

Field Summary
`static String` | `PROP_WSSECHEADER_GENERATOR` Property to override the WS Security Header generator.

Constructor Summary
`AbstractWsSecurityHandler()`

Method Summary
`AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0` | `buildSignature()`
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, dumpMessage, getHeaders, handleFault, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_WSSECHEADER_GENERATOR

    public static final String PROP_WSSECHEADER_GENERATOR

  Property to override the WS Security Header generator. Default value: `WSSecHeaderGeneratorWss4jImpl`

  See Also:
    Constant Field Values

Constructor Detail

### AbstractWsSecurityHandler

    public AbstractWsSecurityHandler()

Method Detail

### buildSignature

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0 buildSignature()
                                                                       throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.